import { SetStyleBase } from '../base/SetStyleBase';
import { Doc } from '../../view/Doc';
import { WrText } from '../../model/document/WrText';
import { CommandPayloadMap } from '../types';
/**
 * 设置文本颜色命令
 */
export declare class SetColor extends SetStyleBase<'setColor'> {
    constructor(doc: Doc, payload: CommandPayloadMap['setColor']);
    protected applyStyle(run: WrText): void;
}
